Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

These property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BORDERWIDTH

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Contents

Global Majic Software, Inc.

Odometer Control

Properties	Events	Product Support	Copyright

Description:

The Odometer Control displays a simple odometer which may be manipulated in a variety of ways.  These include font, font size, with or without reset button, etc.  If a reset button is desired, the mouse may be used to reset the odometer.  The control includes bevels for a 3D appearance.


Decimals
DECIMALS PROPERTY

Description

Determines the number of rollers which display decimal values in the control.

Usage

[form.]control.Decimals[ = integer ]

Remarks

The Digits property defines the total number of rollers in the odometer.  The Decimals property defines how many of the digits are used to display decimal values.

Data Type

Integer


DigitColor
DIGITCOLOR PROPERTY

Description

Determines the background color of the digit rollers and the foreground color of the decimal rollers.

Usage

[form.]control.DigitColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


Digits
DIGITS PROPERTY

Description

Determines the total number of rollers displayed in the odometer control.

Usage

[form.]control.Digits[ = integer ]

Remarks

The Digits property defines the total number of rollers in the odometer.  The Decimals property defines how many of the digits are used to display decimal values.

Data Type

Integer


Events
Events:

Click

GotFocus

LostFocus

MouseDown

MouseMove

MouseUp

Reset


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

BackColor	FontItalic	ResetButton
BevelInner	FontName	ResetPicture
BevelOuter	FontSize	TabIndex
BevelWidth	FontStrike	TabStop
BorderWidth	FontUnder	Tag
Decimals	Height	Top
DigitColor	Index	Value
Digits	Left	Visible
Enabled	MousePointer	WheelColor
FontBold	Name	Width


Reset
A RESET event if fired every time the control is reinitialized by clicking on the Reset Button.


Reset Picture
RESETPICTURE PROPERTY

Description

Determines the graphic to be displayed when the odometer control's ResetButton = TRUE.

Usage

[form.]control.ResetPicture[ = picture ]

Setting

The ResetPicture property settings are:

Setting 	Description

(none)	No picture is displayed.

(bitmap)	At design-time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form, and will be compiled into the executable.  The bitmap is stretched to fit the ResetButton.

Data Type

Integer


ResetButton
RESETBUTTON PROPERTY

Description

Determines if the odometer control displays a reset button.

Usage

[form.]control.ResetButton[ = {TRUE|FALSE} ]

Setting

The ResetButton property settings are:

Setting 	Description

TRUE	Reset button available.  Allows the control's Value to be modified with mouse input.

FALSE	No reset button.

Remarks

A bitmap may be used instead of the provided graphical representation through the use of the ResetPicture Property.

Data Type

Integer (Boolean)


Value
VALUE PROPERTY

Description

Sets or returns the control's displayed value.

Usage

[form.]control.Value[ = single ]

Remarks

This property is simply the value displayed on the odometer.  The only constraint is that it must be positive (all negative values are set to 0).

Data Type

Single


WheelColor
WHEELCOLOR PROPERTY

Description

Determines the foreground color of the digit rollers and the background color of the decimal rollers.

Usage

[form.]control.WheelColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.